# Template file for 'boost-build'.
#
short_desc="${short_desc} (Boost.Build framework)"
long_desc="
 Boost is a set of free, peer-reviewed, C++ libraries. The emphasis is on
 portable libraries which work well with the ISO C++ Standard Library.

 This package provides the Boost.Build module, which includes bjam. This
 is the tool used to build Boost itself, and is based on Perforce Jam."

conf_files="/etc/site-config.jam"
noarch=yes

Add_dependency run bjam
Add_dependency run boost-devel

do_install()
{
	mkdir -p ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/share/boost-build ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/etc ${DESTDIR}
}
